public class BinaryTree {
    Node root;

    public BinaryTree() {
        root = null;
    }

    public void printInorder(Node node)
    {
        if (node==null)
        {
            return;
        }
        printInorder(node.left);
        System.out.println(node.value);
        printInorder(node.right);
    }

    public void printPreorder(Node node)
    {
        if (node==null)
        {
            return;
        }
        System.out.println(node.value);
        printPreorder(node.left);
        printPreorder(node.right);
    }
    public void printPostOrder(Node node)
    {
        if (node==null)
        {
            return;
        }
        printPostOrder(node.left);
        printPostOrder(node.right);
        System.out.println(node.value);
    }
}
